> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Company Info

> This endpoint serves the purpose of modifying company information.

<Note>
  All fields are optional — only include the fields you want to update. Omitted fields remain unchanged.
</Note>


## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json PATCH /company/info
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /company/info:
    patch:
      tags:
        - Company
      summary: Edit Company Info
      description: This endpoint serves the purpose of modifying company information.
      operationId: patch-company-info
      requestBody:
        description: Company Info Object
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyInfoUpdateRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: boolean
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Company name exceeds maximum length:
                  value:
                    code: CMP-100
                    error: Company name exceeds maximum length
                Invalid email format:
                  value:
                    code: CMP-200
                    error: Invalid email format
                Invalid country or timezone ID:
                  value:
                    code: CMP-300
                    error: Invalid country or timezone ID
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions:
                  value:
                    code: CMP-1000
                    error: Insufficient permissions to manage company settings
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Not found:
                  value:
                    code: CMP-800
                    error: Integration not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Unexpected error:
                  value:
                    code: CMP-1100
                    error: An unexpected error occurred
components:
  schemas:
    CompanyInfoUpdateRequest:
      title: CompanyInfoUpdateRequest
      type: object
      properties:
        name:
          type: string
          maxLength: 50
        primary_contact:
          type: string
          maxLength: 50
        contact_number:
          type: string
          maxLength: 50
        contact_email:
          type: string
          maxLength: 75
          format: email
        address:
          type: string
          maxLength: 75
        city:
          type: string
          maxLength: 75
        zip:
          type: string
          maxLength: 10
        country_id:
          type: integer
          minimum: 0
        timezone_id:
          type: integer
          minimum: 0
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````